.main-menu {
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
  z-index: 200;
  padding: 30px 25px 0;
  min-height: 90px;
  &.el-menu {
    position: relative;
    border: none;
  }
  .menu__logo {
    display: inline-flex;
    height: 90px;
    img {
      max-height: 100%;
      min-height: 100%;
    }
  }
  a.menu__logo {
    transition: opacity 0.2s ease-in-out;
    &:hover {
      opacity: 0.6;
    }
  }
  .menu-item__wrapper {
    float: right;
    display: flex;
    & > .el-menu-item {
      position: relative;
      padding-left: 0;
      padding-right: 0;
      height: 90px;
      display: inline-flex;
      align-items: center;
      border-bottom: none;
      transition: opacity 0.2s ease-in-out;
      background-color: rgba(255, 255, 255, 0);
      a:not(.menu__logo),
      & > span {
        padding-left: 35px;
        padding-right: 35px;
      }
      @media screen and (max-width: 1500px) {
        a:not(.menu__logo),
        & > span {
          padding-left: 25px;
          padding-right: 25px;
        }
      }
      @media screen and (max-width: 1300px) {
        a:not(.menu__logo),
        & > span {
          padding-left: 20px;
          padding-right: 20px;
        }
      }
      &:hover {
        .el-menu-item__underscore {
          opacity: 1;
        }
      }
      &::after {
        content: '';
        position: absolute;
        width: calc(100% - 2rem);
        height: 2px;
        bottom: 10px;
        left: 1rem;
        opacity: 0;
        transition: opacity 0.2s ease-in-out;
      }
      &.logo {
        padding-left: 45px;
        padding-right: 45px;
        &:hover {
          opacity: 1;
          cursor: default;
        }
      }
      a,
      span {
        display: inline-flex;
        align-items: center;
        height: inherit;
        color: inherit;
      }
      &.is-active {
        border-bottom: none;
        color: inherit;
      }
      &.active-item {
        color: inherit;
        &::after {
          opacity: 1;
          background-color: $--color-text-primary;
        }
        &:hover {
          color: inherit;
        }
      }
      &.active-item_main-page {
        color: inherit;
        &::after {
          opacity: 1;
          background-color: $--color-white;
        }
        &:hover {
          color: inherit;
        }
      }
    }
    .el-menu-item__underscore {
      position: absolute;
      width: calc(100% - 2rem);
      height: 2px;
      bottom: 10px;
      left: 1rem;
      opacity: 0;
      transition: opacity 0.2s ease-in-out;
      background-color: $--color-text-primary;
    }
  }
}

.main-menu {
  @include media-breakpoint-down(lg) {
    display: none;
  }
}

.mobile-menu {
  position: relative;
  z-index: 1100;
  display: block;
  height: 0;
  margin: 0;
  &.el-menu {
    border: none;
    background-color: rgba(255, 255, 255, 0);
  }
  .el-menu-item {
    display: flex;
    width: 100%;
    justify-content: center;
    &.active-item {
      a {
        color: $--color-primary;
      }
    }
    a {
      text-align: center;
      display: inline-block;
      width: 100%;
      height: inherit;
      color: $--color-text-regular;
    }
  }
  .el-menu__item-wrapper {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    position: fixed;
    padding-top: 50px;
    top: 0;
    left: 0;
    width: 420px;
    height: 100vh;
    background-color: $-color-menu-background;
    box-shadow: 0 0 60px rgba(0, 0, 0, 0.4);
    overflow: auto;
    z-index: 600;
    @include media-breakpoint-down(sm) {
      width: 350px;
    }
    @include media-breakpoint-only(xs) {
      width: 280px;
      padding-top: 25px;
    }
  }
  &__logo {
    display: flex;
    justify-content: center;
    align-items: flex-end;
    width: 100%;
    min-height: 60px;
    padding: 15px 15px 6vh;
    img {
      height: auto;
      width: auto;
      max-width: 120px;
    }
    a {
      transition: opacity 0.2s ease-in-out;
      &:hover {
        opacity: 0.6;
      }
    }
  }
  .menu-substrate {
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    position: fixed;
    z-index: 50;
    background-color: rgba(0, 0, 0, 0.7);
  }
  .burger {
    position: fixed;
    top: 25px;
    left: 25px;
    padding: 18px;
    border: 0;
    background-color: $-color-menu-background;
    transition: opacity 0.2s ease-in-out;
    border-radius: 0;
    z-index: 500;
    box-shadow: 0 0 30px rgba(0, 0, 0, 0.3);
    @include media-breakpoint-down(lg) {
      left: 25px;
    }
    @include media-breakpoint-down(sm) {
      top: 0;
      left: 0;
    }
    &.no-view {
      display: none;
      @include media-breakpoint-down(lg) {
        display: block;
      }
    }
    &:hover,
    &:focus {
      opacity: 0.6;
      background-color: $-color-menu-background;
    }
    &::before {
      content: '';
      position: absolute;
      top: 14px;
      left: 10px;
      background-color: $-color-menu-burger;
      height: 2px;
      width: 16px;
    }
    &::after {
      content: '';
      position: absolute;
      top: 21px;
      left: 10px;
      background-color: $-color-menu-burger;
      height: 2px;
      width: 12px;
    }
  }
  .el-menu-item {
    min-height: 50px;
    position: relative;
    padding: 0;
    transition: opacity 0.2s ease-in-out;
    @include media-breakpoint-only(xs) {
      height: 50px;
    }
    &::after {
      content: '';
      top: 50%;
      right: 0;
      height: 25px;
      width: 4px;
      transform: translateY(50%);
      background-color: $-color-menu-burger;
      opacity: 0;
      transition: opacity 0.2s ease-in-out;
    }
    &:hover {
      opacity: 0.6;
      &::after {
        opacity: 0.8;
      }
    }
    &.active-item {
      a {
        color: $-color-menu-burger;
      }
      &::after {
        content: '';
        top: 50%;
        right: 0;
        height: 25px;
        width: 4px;
        transform: translateY(50%);
        background-color: $-color-menu-burger;
        opacity: 1;
      }
    }
    a,
    button {
      padding-left: 60px;
      padding-right: 60px;
      color: $-color-menu-burger;
      text-align: left;
      @include media-breakpoint-only(xs) {
        padding-left: 30px;
        padding-right: 30px;
      }
    }
    span {
      display: inline-flex;
      justify-content: flex-start;
      align-items: center;
      width: 100%;
    }
    .el-button {
      width: 100%;
    }
    &:hover {
      background-color: rgba(255, 255, 255, 0);
    }
  }
}
